package app.theme

import androidx.compose.ui.graphics.Color

val lightTheme = ColorsScheme(
    primary = Color(0xFF0070D8),
    primaryVariant = Color(0xFF0070D8),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFF9c27b0),
    primaryText = Color(0xFF212934),
    secondaryText = Color(0xFF595858),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFFFFFFFF),
    backgroundSelected = Color(0xC0cee1f2),
    surface = Color(0xFFe9ecf7),
    secondarySurface = Color(0xFFedeef2),
    headerBackground = Color(0xFFF4F6FA),
    borderColor = Color(0xFF989898),
    graphHeaderBackground = Color(0xFFF4F6FA),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFFCCCCCC),
    hoverScrollbar = Color(0xFF0070D8),
)


val darkBlueTheme = ColorsScheme(
    primary = Color(0xFF014F97),
    primaryVariant = Color(0xFF9FD1FF),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFFe9c754),
    primaryText = Color(0xFFFFFFFF),
    secondaryText = Color(0xFFCCCBCB),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFF0E1621),
    backgroundSelected = Color(0xFF2f3640),
    surface = Color(0xFF182533),
    secondarySurface = Color(0xFF1a2c40),
    headerBackground = Color(0xFF0a335c),
    borderColor = Color(0xFF989898),
    graphHeaderBackground = Color(0xFF303132),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFFCCCCCC),
    hoverScrollbar = Color(0xFF888888)
)

val darkGrayTheme = ColorsScheme(
    primary = Color(0xFF014F97),
    primaryVariant = Color(0xFFCDEAFF),
    onPrimary = Color(0xFFFFFFFFF),
    secondary = Color(0xFFe9c754),
    primaryText = Color(0xFFFFFFFF),
    secondaryText = Color(0xFFCCCBCB),
    error = Color(0xFFc93838),
    onError = Color(0xFFFFFFFF),
    background = Color(0xFF16181F),
    backgroundSelected = Color(0xFF32373e),
    surface = Color(0xFF212731),
    secondarySurface = Color(0xFF282d36),
    headerBackground = Color(0xFF21303d),
    borderColor = Color(0xFF989898),
    graphHeaderBackground = Color(0xFF303132),
    addFile = Color(0xFF32A852),
    deletedFile = Color(0xFFc93838),
    modifiedFile = Color(0xFF0070D8),
    conflictingFile = Color(0xFFFFB638),
    dialogOverlay = Color(0xAA000000),
    normalScrollbar = Color(0xFFCCCCCC),
    hoverScrollbar = Color(0xFF888888)
)